<html>
<head>
<title>OgreDynLib.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreDynLib.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgreDynLib_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DynLib.html">Ogre::DynLib</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> holding data about a dynamic library.  <a href="classOgre_1_1DynLib.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#a72233679ad2f01755e375b6fcbf8cfdb">DYNLIB_HANDLE</a>&#160;&#160;&#160;void*</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#a134d80db854047b000a6a3d5dc023bcc">DYNLIB_LOAD</a>(a)&#160;&#160;&#160;dlopen( a, RTLD_LAZY | RTLD_GLOBAL)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#a611f8319ce7e78bfb274017c2b53a81b">DYNLIB_GETSYM</a>(a, b)&#160;&#160;&#160;dlsym( a, b )</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreDynLib_8h.html#aea4c10bca1e97e459d97b4c9b7aee51a">DYNLIB_UNLOAD</a>(a)&#160;&#160;&#160;dlclose( a )</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a611f8319ce7e78bfb274017c2b53a81b"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_GETSYM" ref="a611f8319ce7e78bfb274017c2b53a81b" args="(a, b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreDynLib_8h.html#a611f8319ce7e78bfb274017c2b53a81b">DYNLIB_GETSYM</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">b&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;dlsym( a, b )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDynLib_8h_source.html#l00045">45</a> of file <a class="el" href="OgreDynLib_8h_source.html">OgreDynLib.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72233679ad2f01755e375b6fcbf8cfdb"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_HANDLE" ref="a72233679ad2f01755e375b6fcbf8cfdb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreDynLib_8h.html#a72233679ad2f01755e375b6fcbf8cfdb">DYNLIB_HANDLE</a>&#160;&#160;&#160;void*</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDynLib_8h_source.html#l00043">43</a> of file <a class="el" href="OgreDynLib_8h_source.html">OgreDynLib.h</a>.</p>

</div>
</div>
<a class="anchor" id="a134d80db854047b000a6a3d5dc023bcc"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_LOAD" ref="a134d80db854047b000a6a3d5dc023bcc" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreDynLib_8h.html#a134d80db854047b000a6a3d5dc023bcc">DYNLIB_LOAD</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a</td><td>)</td>
          <td>&#160;&#160;&#160;dlopen( a, RTLD_LAZY | RTLD_GLOBAL)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDynLib_8h_source.html#l00044">44</a> of file <a class="el" href="OgreDynLib_8h_source.html">OgreDynLib.h</a>.</p>

</div>
</div>
<a class="anchor" id="aea4c10bca1e97e459d97b4c9b7aee51a"></a><!-- doxytag: member="OgreDynLib.h::DYNLIB_UNLOAD" ref="aea4c10bca1e97e459d97b4c9b7aee51a" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreDynLib_8h.html#aea4c10bca1e97e459d97b4c9b7aee51a">DYNLIB_UNLOAD</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">a</td><td>)</td>
          <td>&#160;&#160;&#160;dlclose( a )</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreDynLib_8h_source.html#l00046">46</a> of file <a class="el" href="OgreDynLib_8h_source.html">OgreDynLib.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
